## uck 2.4.7

=== Makefile ===
#
# $Id: Makefile 382 2010-10-07 06:32:16Z wjg57 $
#
all:

sdist: all
	rm -rf dist
	./localbuild.sh -S

upload: all
	rm -rf dist
	./localbuild.sh -U

dist: all
	rm -rf dist
	./localbuild.sh

clean:
	rm -rf dist

# Update manual pages with the new version number
updman:
	for i in `ls docs/man`; do \
		sed -i -e '/^\.TH/s/[0-9]\.[0-9]\.[0-9]/'`cat VERSION`'/' docs/man/$$i; \
		echo $$i updated.; \
	done

## uck 2.0.12

=== debian/changelog ===
uck (2.0.12-0ubuntu2) lucid; urgency=low

  * Depends on wget, lzma (LP: #511301).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 31 Jan 2010 20:13:29 +0100

uck (2.0.12-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - GUI:
      + splash notes were updated
      + a new configuration screen was added to allow selecting which
        languages will be available on the livecd boot splash (gfxboot).
        This was necessary because the language packs codes do not match
        gfxbook locales.
    - the default gfxboot language can be chosen only between the
      gfxboot available languages (easier selection).
    - default gfxboot language selection was made mandatory
    - Backend:
      + a workaround for the chrooted gnome-terminal was implemented
  * Fixes:
    - LP: #269741
    - LP: #228235
    - LP: #407443

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 22 Jan 2010 18:45:17 +0100

uck (2.0.11-0ubuntu1) lucid; urgency=low

  * New upstream release (also fixes LP: #478662).
  * Switch to 3.0 (quilt) format.
  * debian/control:
    - Drop bzr from Depends field.
    - Adjust debhelper versioned build-dependency.
    - Drop build-dependency on quilt.
    - Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 20 Jan 2010 21:03:34 +0100

uck (2.0.10-0ubuntu1) lucid; urgency=low

  * New upstream release, also fixes LP: #271677.
  * debian/{compat,control,rules}: Switch to debhelper 7.
  * debian/{control,rules,README.source}:
    - Add support for the quilt patch system.
  * debian/control:
    - Bump Standards.
    - Add ${misc:Depends} to Depends field.
    - Bump debhelper build-dependency.
  * debian/{examples,uck.install}:
    - Install examples with dh_installexamples.
  * Provide the package with a XPM icon.
  * Add doc-base support.
  * debian/menu: Add icon field.
  * debian/copyright: Adopt Debian DEP-5 spec.
  * debian/patches/01-fix_manpage.patch:
    - Fix upstream's manpage to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 08 Nov 2009 01:48:25 +0100

uck (2.0.9-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/rules:
    * Clean old stuffs.
    * download-gfxboot-theme-ubuntu has been removed by upstream.
    * Use wildcard to install all manpages.
  * Remove unuseful debian/uck.manpages.
  * debian/control:
    - Depends on bzr.
    - Bump-up Standard-Version.
  * debian/copyright:
    - Use new copyright placeholder © instead of (C).
    - Update debian packaging copyright information.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 02 May 2009 21:10:58 +0200

uck (2.0.8-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #325864).
  * Remove debian/uck-gui.1, now it is provided by upstream.
  * debian/rules:
    - Don't use dh_link, now install all the binaries into /usr/bin/.
    - dh_installman reads manpages list from debian/uck.manpages.
    - Remove get-orig-source target, upstream doesn't provide debian dir
      anymore, so we don't need to repack the source tarball.
  * debian/copyright:
    - Update copyright information.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 05 Feb 2009 19:23:18 +0100

uck (2.0.7-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #267355).
  * Remove the debian/ dir from upstream tarball.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 20 Jan 2009 17:25:17 +0100

=== debian/control ===
Source: uck
Section: utils
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.3
Homepage: http://uck.sourceforge.net/

Package: uck
Architecture: all
Depends: bash (>= 3.0),
 gfxboot,
 dialog | xdialog | zenity | kdebase-bin,
 genisoimage,
 squashfs-tools (>= 2.0),
 dpkg-dev,
 fakeroot,
 build-essential,
 file,
 mktemp (>= 1.5),
 xauth,
 gnupg,
 wget,
 lzma,
 ${misc:Depends}
Description: Tool to customize official Ubuntu Live CDs
 UCK is a tool that helps you customizing official Ubuntu Live CDs (including
 Kubuntu/Xubuntu and Edubuntu) to your needs. You can add any package to the
 live system like, for example, language packs, applications, etc.
 .
 Features:
  * Create bootable LiveCD with predefined languages based upon an original
    Ubuntu/Kubuntu live CD using graphical wizard.
  * Build live CD with special features using scripts. It is possible to
    customize the root filesystem (for example install/remove packages), ISO
    contents (add/remove docs, change names) and initrd (add modules to boot,
    change boot sequence).

## uck 2.2.1

=== debian/changelog ===
uck (2.2.1-0ubuntu2) maverick; urgency=low

  * Depends on sudo.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 20 Jul 2010 15:18:53 +0200

uck (2.2.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Bump Standards.
  * Suggests on brasero | k3b | burn.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Jul 2010 20:49:25 +0200

uck (2.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Add Ubuntu 10.04 support (LP: #544555).
    - Fix crash due to the use of hard coded path for custom scripts,
      fixes LP: #547260.
  * Drop all patches, applied upstream.
  * Bump Standards.
  * Remove debian/README.source, now unnecessary.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 08 May 2010 01:47:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://uck.sourceforge.net/
 
 Package: uck
 Architecture: all
 Depends: bash (>= 3.0),
+ sudo,
  gfxboot,
  dialog | xdialog | zenity | kdebase-bin,
  genisoimage,
@@ -23,6 +24,7 @@
  wget,
  lzma,
  ${misc:Depends}
+Suggests: brasero | k3b | burn
 Description: Tool to customize official Ubuntu Live CDs
  UCK is a tool that helps you customizing official Ubuntu Live CDs (including
  Kubuntu/Xubuntu and Edubuntu) to your needs. You can add any package to the

## uck 2.4.4+repack0

=== debian/changelog ===
uck (2.4.4+repack0-0ubuntu1) natty; urgency=low

  * Remove .svn dirs (LP: #755578).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 10 Apr 2011 11:21:55 +0200

uck (2.4.4-0ubuntu1) natty; urgency=low

  * New upstream release (FFe granted LP: #751078).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 05 Apr 2011 17:44:59 +0200

uck (2.4.3-0ubuntu1) natty; urgency=low

  * New upstream release, closing the following bugs:
    - LP: #693620
    - LP: #516231
    - LP: #682108
    - LP: #681032

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 29 Dec 2010 12:15:19 +0100

uck (2.4.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Depends on gfxboot (<< 4.2.2) | gfxboot-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 29 Nov 2010 16:27:29 +0100

uck (2.2.1-0ubuntu3) natty; urgency=low

  * s/gfxboot/gfxboot-dev/ in the Depends line.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 25 Oct 2010 13:54:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://uck.sourceforge.net/
 
 Package: uck
 Architecture: all
 Depends: bash (>= 3.0),
  sudo,
- gfxboot,
+ gfxboot (<< 4.2.2) | gfxboot-dev | yaboot,
  dialog | xdialog | zenity | kdebase-bin,
  genisoimage,
  squashfs-tools (>= 2.0),

## uck 2.4.5

=== debian/changelog ===
uck (2.4.5-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Add syslinux to Suggests.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 30 Nov 2011 13:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,8 @@
  wget,
  lzma,
  ${misc:Depends}
-Suggests: brasero | k3b | burn
+Suggests: brasero | k3b | burn,
+ syslinux
 Description: Tool to customize official Ubuntu Live CDs
  UCK is a tool that helps you customizing official Ubuntu Live CDs (including
  Kubuntu/Xubuntu and Edubuntu) to your needs. You can add any package to the

## uck 2.4.6

=== debian/changelog ===
uck (2.4.6-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Unity was added to the desktop manager choice (LP: #946404)
    - A bug with /etc/resolv.con on precise was fixed (LP: #946480)
    - Fix a bug with xubuntu-terminal (LP: #892590)
    - Deactivate grub-probe when chrooting (LP: #956495)
    - Add 64x64 px icon (LP: #970827)
  * wrap-and-sort -a -s
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 13 Jun 2012 18:56:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,32 @@
 Section: utils
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Build-Depends:
+ debhelper (>= 7.0.50~)
+Standards-Version: 3.9.3
 Homepage: http://uck.sourceforge.net/
 
 Package: uck
 Architecture: all
-Depends: bash (>= 3.0),
- sudo,
- gfxboot (<< 4.2.2) | gfxboot-dev | yaboot,
+Depends:
+ bash (>= 3.0),
+ build-essential,
  dialog | xdialog | zenity | kdebase-bin,
- genisoimage,
- squashfs-tools (>= 2.0),
  dpkg-dev,
  fakeroot,
- build-essential,
  file,
+ genisoimage,
+ gfxboot (<< 4.2.2) | gfxboot-dev | yaboot,
+ gnupg,
+ lzma,
  mktemp (>= 1.5),
+ squashfs-tools (>= 2.0),
+ sudo,
+ wget,
  xauth,
- gnupg,
- wget,
- lzma,
  ${misc:Depends}
-Suggests: brasero | k3b | burn,
+Suggests:
+ brasero | k3b | burn,
  syslinux
 Description: Tool to customize official Ubuntu Live CDs
  UCK is a tool that helps you customizing official Ubuntu Live CDs (including

## uck 2.4.7

=== debian/changelog ===
uck (2.4.7-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Replace dependency on dummy mktemp package with coreutils

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jul 2015 12:04:11 +1200

uck (2.4.7-0ubuntu1) trusty; urgency=low

  [ Jackson Doak ]
  * Update debian/copyright to dep5 format
  * debian/control:
    - Bump standards-version to 3.9.5
    - Bump debhelper to 9
  * debian/rules: rm .png file from usr/bin
  * Fix typos in debian/changelog

  [ Fabrizio Balliano ]
  * New upstream release
  * Add libfribidi-bin as a dependency. lp: #1217482 

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 19 Nov 2013 17:11:00 +1100

uck (2.4.6-0ubuntu1) precise; urgency=low
  * New upstream release:

 -- Fabrizio Balliano <fabrizio@fabrizioballiano.it>  Mon, 09 Apr 2012 01:47:14 +0200

uck (2.4.5-0ubuntu1) oneiric; urgency=low
  * New upstream release:
    - new languages (zh-hans/zh-hant) are now correctly handled.
	  Fixes LP: #770810
    - hybrid image generation support was added to uck-gui
      Fixes LP: #830146
    - oneiric language packs support was added
    - /etc/fstab is not mandatory in the squashfs file system
      Fixes LP: #808506
    - /var/run is now a symbolic link to /run
      Fixes LP: #812418
    - Oneiric alternate support was added
      Fixes LP: #842487
    - mkisofs calls were replaced with genisoimage
      Fixes LP: #836350
    - isohybrid support was added (uck-remaster-pack-iso -h)
      Fixes LP: #830146
    - manifest diff now checks if manifest files really exist
    - lxterminal support was added
      Fixes LP: #865295
    - mksquashfs now uses XZ (lzma) compression if available
	  (squashfs-tool => 4.1 and guest kernel => 2.6.30)
	  Fixes LP: #654234
    - gfxboot-theme-ubuntu download method was rewritten
    - firefox locale auto-remove workaround was added
      Fixes LP: #886838
    - suggestion for syslinux (isohybrid) installation was added

 -- Fabrizio Balliano <fabrizio@fabrizioballiano.it>  Thu, 10 Nov 2011 01:47:14 +0200

uck (2.4.3-0ubuntu1) maverick; urgency=low
  * New upstream release:
    - yaboot dep was added (only for ppc)
      Fixes LP: #516231
    - Added code to remember kernel update state (shared /var/run issue)
      Fixes LP: #682108
    - Applied patch to handle changed named of syslinux config file.
	  Fixes LP: #681032
	- uck-remaster-prepare-alternate and uck-remaster-finalize-alternate now
	  support all architectures (and not only i386)
	  Fixes LP: #693620

 -- Fabrizio Balliano <fabrizio@fabrizioballiano.it>  Wed, 29 Dec 2010 01:47:14 +0200

uck (2.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Support for maverick was added.
      Fixes LP: #659572 and #618705 and #664709.
    - gvfs problem in chroot environment was solved.
      Fixes LP: #657689.
  * Depends on gfxboot-dev (only >= maverick).
  * Bump Standards.
  
 -- Fabrizio Balliano <fabrizio@fabrizioballiano.it>  Thu, 18 Nov 2010 01:47:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,30 @@
 Section: utils
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
-Build-Depends:
- debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
 Homepage: http://uck.sourceforge.net/
 
 Package: uck
 Architecture: all
-Depends:
- bash (>= 3.0),
- build-essential,
+Depends: bash (>= 3.0),
+ gfxboot (<< 4.2.2) | gfxboot-dev | yaboot,
  dialog | xdialog | zenity | kdebase-bin,
+ genisoimage,
+ squashfs-tools (>= 2.0),
  dpkg-dev,
  fakeroot,
+ build-essential,
  file,
- genisoimage,
- gfxboot (<< 4.2.2) | gfxboot-dev | yaboot,
+ coreutils,
+ xauth,
  gnupg,
+ wget,
+ sudo,
  lzma,
- mktemp (>= 1.5),
- squashfs-tools (>= 2.0),
- sudo,
- wget,
- xauth,
+ libfribidi-bin,
  ${misc:Depends}
-Suggests:
- brasero | k3b | burn,
+Suggests: brasero | k3b | burn,
  syslinux
 Description: Tool to customize official Ubuntu Live CDs
  UCK is a tool that helps you customizing official Ubuntu Live CDs (including

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	chmod 644 $(CURDIR)/debian/uck/usr/lib/uck/hfs.map
	rm $(CURDIR)/debian/uck/usr/bin/*.png
